Skip to main content
GET
Get Incident

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the incident to be retrieved.

Response

Request successful.

id
string | null

The id of the incident.

processDefinitionId
string | null

The id of the process definition this incident is associated with.

processInstanceId
string | null

The id of the process instance this incident is associated with.

executionId
string | null

The id of the execution this incident is associated with.

incidentTimestamp
string<date-time> | null

The time this incident happened. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

incidentType
string | null

The type of incident, for example: failedJobs will be returned in case of an incident which identified a failed job during the execution of a process instance. See the User Guide for a list of incident types.

activityId
string | null

The id of the activity this incident is associated with.

failedActivityId
string | null

The id of the activity on which the last exception occurred.

causeIncidentId
string | null

The id of the associated cause incident which has been triggered.

rootCauseIncidentId
string | null

The id of the associated root cause incident which has been triggered.

configuration
string | null

The payload of this incident.

tenantId
string | null

The id of the tenant this incident is associated with.

incidentMessage
string | null

The message of this incident.

jobDefinitionId
string | null

The job definition id the incident is associated with.

annotation
string | null

The annotation set to the incident.